<?php

return array
(
	# 表名
	'name' => 'source',
	# 显示给用户看的名称
	'lang' => '来源管理',
	'order' => -12,
	'check' => 'key',
	'end' => array
	(
		'insert' => 'log/lib/manage.create',
		'update' => 'log/lib/manage.create',
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '来源名称',
			'default' 	=> '',
			'desc' 		=> '请输入来源名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'key'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '来源标识',
			'default' 	=> '',
			'desc' 		=> '请输入来源标识',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(

	),

	# 默认值
	'default' => array
	(
		'col' => 'name,`key`,state,cdate',
		'value' => array
		(
			'"默认来源","dever",1,' . time(),
		),
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
