<?php

namespace Log\Src;

use Dever;
use Log\Lib\Core;

class Api extends Core
{
    public function push()
    {
        $project = Dever::input('project');
        $input = Dever::input();
        return $this->add($project, $input);
    }

    private function add($project, $input)
    {
        $config = $this->config();
        if (!isset($config['project'][$project])) {
            return true;
        }

        $project = $config['project'][$project];

        $msg['project'] = $project['id'];
        $input = $this->input($input);
        if (isset($config['col'])) {
            foreach ($config['col'] as $k => $v) {
                if (isset($input[$k])) {
                    $msg[$k] = $input[$k];
                }
            }
        }
        if ($msg) {
            Dever::log($msg, $project['key'] . '/');
        }

        return true;
    }
}
