<?php
$project = function()
{
    $array = array();
    $info = Dever::db('log/project')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};
return array
(
	# 表名
	'name' => 'data',
	# 显示给用户看的名称
	'lang' => '数据统计',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			//'list'		=> true,
		),
		
		'project_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '项目',
            'default'   => '1',
            'desc'      => '项目',
            'match'     => 'is_numeric',
            'option'    => $project,
            //'update'    => 'select',
            'search'    => 'select',
            'list'        => true,
        ),

        'year'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '时间',
			'default' 	=> '',
			'desc' 		=> '年',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'        => '"{year}年{month}月{day}日{hour}时"',
		),

		'month'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '月',
			'default' 	=> '',
			'desc' 		=> '月',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'day'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '日',
			'default' 	=> '',
			'desc' 		=> '日',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'hour'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '小时',
			'default' 	=> '',
			'desc' 		=> '小时',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'time'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '时间',
			'default' 	=> '',
			'desc' 		=> '时间',
			'match' 	=> 'is_numeric',
			'search'	=> 'time',
			'update'	=> 'text',
		),

		'pv'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'PV',
			'default' 	=> '',
			'desc' 		=> 'PV',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
		),

		'uv'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'UV',
			'default' 	=> '',
			'desc' 		=> 'UV',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
		'excel' => true,
	),
	
	# request 请求接口定义
	'request' => array
	(
		
	),
);
