<?php

namespace Log\Lib;

use Dever;

class Core
{
    protected function file()
    {
        return Dever::data() . 'log.php';
    }

    protected function config()
    {
        $config = include($this->file());
        return $config;
    }

    protected function input($input)
    {
        if (!is_array($input)) {
            $input = Dever::json_decode($input);
        }
        //$system = Dever::config('base', 'log')->system;

        $input['ua'] = Dever::ua();
        $input['ck_wechat'] = Dever::weixin();
        $input['ck_mobile'] = Dever::mobile();
        $input['ip'] = Dever::ip();
        $input['os'] = Dever::os();
        $input['browser'] = Dever::browser();

        if (!isset($input['source'])) {
        	$input['source'] = -1;
        }

        if (!isset($input['uid'])) {
        	$input['uid'] = -1;
        }

        if (!isset($input['project'])) {
        	$input['project'] = -1;
        }

        if (!isset($input['system'])) {
        	$input['system'] = -1;
        }

        return $input;
    }
}
